# $Revision: 1.13 $, $Date: 2003/02/14 15:31:17 $
Summary:	dcgui - QT Direct Connect client
Summary(pl):	dcgui - klient Direct Connecta oparty o QT
Name:		dcgui
Version:	0.2.5
Release:	1
License:	GPL v2
Group:		X11/Applications/Networking
Source0:	http://download.berlios.de/dcgui/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
URL:		http://dc.ketelhot.de/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dclib-devel = %{version}
BuildRequires:	libtool
BuildRequires:	libxml2-devel > 2.0.0
BuildRequires:	qt-devel >= 3.0.5
Requires:	dclib = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
QT Direct Connect client.

%description -l pl
Klient Direct Connecta uywajcy biblioteki QT.

%prep
%setup -q

%build
%configure \
	CPPFLAGS="-I%{_includedir}" \
	--enable-mt

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/Network/Communications/

%{__make} DESTDIR=$RPM_BUILD_ROOT install

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Network/Communications/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/dcgui
%dir %{_datadir}/dcgui/emoticons
%dir %{_datadir}/dcgui/translation
%attr(644,root,root) %{_datadir}/dcgui/translation/*.qm
%attr(644,root,root) %{_datadir}/dcgui/emoticons/*
%{_applnkdir}/Network/Communications/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dcgui.spec,v $
Revision 1.13  2003/02/14 15:31:17  blues
- 0.2.5 (versions prior 0.2.2 were broken - security hole)

Revision 1.12  2003/01/18 22:46:43  juandon
- removed two lines with define

Revision 1.11  2002/11/18 00:31:24  misiek
- updated to 0.2 beta1

Revision 1.10  2002/09/02 18:10:38  blues
- removed my experiments - STBR

Revision 1.9  2002/09/01 17:15:08  blues
- added desktop

Revision 1.8  2002/09/01 10:11:57  blues
- 0.1beta10 - ugly_fix added, the WrongWay(TM), new doc - STBR

Revision 1.7  2002/07/04 02:04:40  blues
- requires strict versions of dclib

Revision 1.6  2002/07/04 01:57:44  blues
- 0.1beta9

Revision 1.5  2002/07/04 01:39:09  blues
- release 1
NOTE: works on KDE2 with qt3 installed :)

Revision 1.4  2002/06/16 17:04:16  blues
- few fixes - NFY

Revision 1.3  2002/05/21 23:12:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.2  2002/05/14 19:08:50  qboosh
- typo, cosmetics

Revision 1.1  2002/05/11 19:24:15  blues
- initial release
- release 0.1 - requires qt >=3.0.1 which I don't have... should build...
